summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Stephen Van Berg <stephen_van_berg@earlicker.com>2010-05-13 00:57:23 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:57:23 +0200
commitda95dc10a47511570a1726efa28789d94bf23a3f (patch)
tree8e940a145d9b0d04143ce73b0aab3e593290b0c4 /academic
parentf334d6acba797cac07b34bcb7e016ccf2267dbba (diff)
downloadslackbuilds-da95dc10a47511570a1726efa28789d94bf23a3f.tar.gz
slackbuilds-da95dc10a47511570a1726efa28789d94bf23a3f.tar.xz
academic/verilog: Added to 13.0 repository
Diffstat (limited to 'academic')
-rw-r--r--academic/verilog/README5
-rw-r--r--academic/verilog/slack-desc19
-rw-r--r--academic/verilog/verilog.SlackBuild77
-rw-r--r--academic/verilog/verilog.info10
4 files changed, 111 insertions, 0 deletions
diff --git a/academic/verilog/README b/academic/verilog/README
new file mode 100644
index 0000000000..c8ebda2ee7
--- /dev/null
+++ b/academic/verilog/README
@@ -0,0 +1,5 @@
+Icarus Verilog is a Verilog simulation and synthesis tool. It operates as
+a compiler, compiling source code written in Verilog (IEEE-1364) into some
+target format. For batch simulation, the compiler can generate an intermediate
+form called vvp assembly. This intermediate form is executed by the 'vvp'
+command. For synthesis, the compiler generates netlists in the desired format.
diff --git a/academic/verilog/slack-desc b/academic/verilog/slack-desc
new file mode 100644
index 0000000000..ae936f010a
--- /dev/null
+++ b/academic/verilog/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+verilog: verilog (Icarus Verilog Complier)
+verilog:
+verilog: Icarus Verilog is a Verilog simulation and synthesis tool. It operates
+verilog: as a compiler, compling source code writen in Verilog (IEEE-1364) into
+verilog: some target.
+verilog:
+verilog: http://www.icarus.com/eda/verilog/
+verilog:
+verilog:
+verilog:
+verilog:
diff --git a/academic/verilog/verilog.SlackBuild b/academic/verilog/verilog.SlackBuild
new file mode 100644
index 0000000000..8c515b454f
--- /dev/null
+++ b/academic/verilog/verilog.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+#Slackware build script for Icarus Verilog compiler
+#Written by Stephen Van Berg stephen_van_berg@earlicker.com.
+
+PRGNAM="verilog"
+VERSION=${VERSION:-0.9.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/verilog/verilog.info b/academic/verilog/verilog.info
new file mode 100644
index 0000000000..d25b270f6c
--- /dev/null
+++ b/academic/verilog/verilog.info
@@ -0,0 +1,10 @@
+PRGNAM="verilog"
+VERSION="0.9.1"
+HOMEPAGE="http://www.icarus.com/eda/verilog/"
+DOWNLOAD="ftp://ftp.icarus.com/pub/eda/verilog/v0.9/verilog-0.9.1.tar.gz"
+MD5SUM="91e8f40d995bf5ded7b847fcc02a98bf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Stephen Van Berg"
+EMAIL="stephen_van_berg@earlicker.com"
+APPROVED="rworkman"